%define upstream_name    Module-Build-Pluggable-PPPort
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Generate ppport.h
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Pluggable)
BuildRequires: perl(Test::Requires)
BuildArch: noarch

%description
Generate ppport.h automatically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes README META.json META.yml LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.40.0-6.mga10
+ Revision: 2199734
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-5.mga9
+ Revision: 1804561
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-4.mga8
+ Revision: 1495612
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-3.mga7
+ Revision: 1269270
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-2.mga6
+ Revision: 1029912
- Rebuild for perl 5.22.2

* Tue Mar 22 2016 shlomif <shlomif> 0.40.0-1.mga6
+ Revision: 993955
- Add missing BRs
- imported package perl-Module-Build-Pluggable-PPPort


* Thu Oct 23 2014 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
